edu.csus.ecs.pc2.api

## Class ContestTestFrame

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - java.awt.Window
      - - java.awt.Frame
        - - javax.swing.JFrame
          - - edu.csus.ecs.pc2.api.ContestTestFrame

- All Implemented Interfaces:
    ImageObserver, MenuContainer, Serializable, Accessible, RootPaneContainer, WindowConstants

      public class ContestTestFrame
      extends JFrame

  API 'contest' Test Frame. Shows output of 'get' and 'is' methods for API Contest and ServerConnection classes.
  Version:
    $Id$
  Author:
    pc2@ecs.csus.edu
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected class` | `ContestTestFrame.APIAbstractTestComparator` Comparer for APIAbstractTestComparator title.
    `protected class` | `ContestTestFrame.ClarificationListener` Clar Listener for ContestTestFrame.
    `protected class` | `ContestTestFrame.ConfigUpdateListener` Listener for IConfigurationUpdateListener.
    `protected class` | `ContestTestFrame.ConnectionEventListener` Connection Listener for ContestTestFrame.
    `protected class` | `ContestTestFrame.ISiteWrapper`
    `protected class` | `ContestTestFrame.PrintAllReports` Print all reports.
    `protected class` | `ContestTestFrame.RunListener` Run Listener for ContestTestFrame.

    - ### Nested classes/interfaces inherited from class javax.swing.JFrame

      `JFrame.AccessibleJFrame`

    - ### Nested classes/interfaces inherited from class java.awt.Frame

      `Frame.AccessibleAWTFrame`

    - ### Nested classes/interfaces inherited from class java.awt.Window

      `Window.AccessibleAWTWindow, Window.Type`

    - ### Nested classes/interfaces inherited from class java.awt.Container

      `Container.AccessibleAWTContainer`

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `Component.AccessibleAWTComponent, Component.BaselineResizeBehavior, Component.BltBufferStrategy, Component.FlipBufferStrategy`

  - ### Field Summary

    - ### Fields inherited from class javax.swing.JFrame

      `accessibleContext, EXIT_ON_CLOSE, rootPane, rootPaneCheckingEnabled`

    - ### Fields inherited from class java.awt.Frame

      `CROSSHAIR_CURSOR, DEFAULT_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, ICONIFIED, MAXIMIZED_BOTH, MAXIMIZED_HORIZ, MAXIMIZED_VERT, MOVE_CURSOR, N_RESIZE_CURSOR, NE_RESIZE_CURSOR, NORMAL, NW_RESIZE_CURSOR, S_RESIZE_CURSOR, SE_RESIZE_CURSOR, SW_RESIZE_CURSOR, TEXT_CURSOR, W_RESIZE_CURSOR, WAIT_CURSOR`

    - ### Fields inherited from class java.awt.Component

      `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface javax.swing.WindowConstants

      `DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, HIDE_ON_CLOSE`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContestTestFrame()` This method initializes

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `attachToContest()`
    `protected void` | `clarListenerChanged(boolean listenerON)`
    `protected void` | `configListenerChanged(boolean listenerON)`
    `protected void` | `connectionListenerChanged(boolean listenerON)` Turn connection event listener on and off
    `String` | `getConfigInfo(ContestEvent contestEvent)`
    `edu.csus.ecs.pc2.api.implementation.RunsFrame` | `getRunsFrame()`
    `protected void` | `logoff()`
    `static void` | `main(String[] args)`
    `protected void` | `printAll()`
    `protected void` | `printAllJudgements(IRun run)`
    `protected void` | `printClarificationCategoriesTest()`
    `protected void` | `printClarTest()`
    `protected void` | `printProblemsTest()`
    `protected void` | `printStandingsTest()`
    `protected void` | `printTeamsTest()`
    `protected void` | `runListenerChanged(boolean listenerON)` Turn run listener on and off
    `protected void` | `runReport(Object source)` Run the input report.
    `protected void` | `showRunsGridFrame()`
    `protected void` | `startContest()`
    `protected void` | `stopContest()`
    `protected void` | `updateSiteClarificationsTotals()`
    `protected void` | `updateSiteRunTotals()`
    `static void` | `usage()` Prints usage to stdout.
    `protected void` | `viewOneRunSource()`

    - ### Methods inherited from class javax.swing.JFrame

      `addImpl, createRootPane, frameInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getGraphics, getJMenuBar, getLayeredPane, getRootPane, getTransferHandler, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, repaint, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setIconImage, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, setTransferHandler, update`

    - ### Methods inherited from class java.awt.Frame

      `addNotify, getCursorType, getExtendedState, getFrames, getIconImage, getMaximizedBounds, getMenuBar, getState, getTitle, isResizable, isUndecorated, remove, removeNotify, setBackground, setCursor, setExtendedState, setMaximizedBounds, setMenuBar, setOpacity, setResizable, setShape, setState, setTitle, setUndecorated`

    - ### Methods inherited from class java.awt.Window

      `addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBackground, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOpacity, getOwnedWindows, getOwner, getOwnerlessWindows, getShape, getToolkit, getType, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, hide, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isAutoRequestFocus, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isOpaque, isShowing, isValidateRoot, pack, paint, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setAutoRequestFocus, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImages, setLocation, setLocation, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, setType, setVisible, show, toBack, toFront`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusDownCycle, validate, validateTree`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resize, resize, revalidate, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setMaximumSize, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.awt.MenuContainer

      `getFont, postEvent`

- - ### Constructor Detail

    - #### ContestTestFrame

          public ContestTestFrame()

      This method initializes

  - ### Method Detail

    - #### printAllJudgements

          protected void printAllJudgements(IRun run)

    - #### getConfigInfo

          public String getConfigInfo(ContestEvent contestEvent)

    - #### startContest

          protected void startContest()

    - #### stopContest

          protected void stopContest()

    - #### attachToContest

          protected void attachToContest()

    - #### printTeamsTest

          protected void printTeamsTest()

    - #### printProblemsTest

          protected void printProblemsTest()

    - #### printClarificationCategoriesTest

          protected void printClarificationCategoriesTest()

    - #### logoff

          protected void logoff()
                         throws NotLoggedInException

      Throws:
        `NotLoggedInException`

    - #### runListenerChanged

          protected void runListenerChanged(boolean listenerON)

      Turn run listener on and off
      Parameters:
        `listenerON` - true add listener, false no listener.

    - #### connectionListenerChanged

          protected void connectionListenerChanged(boolean listenerON)

      Turn connection event listener on and off
      Parameters:
        `listenerON` - true add listener, false no listener.

    - #### configListenerChanged

          protected void configListenerChanged(boolean listenerON)

    - #### printStandingsTest

          protected void printStandingsTest()

    - #### printAll

          protected void printAll()

    - #### viewOneRunSource

          protected void viewOneRunSource()

    - #### printClarTest

          protected void printClarTest()

    - #### clarListenerChanged

          protected void clarListenerChanged(boolean listenerON)

    - #### runReport

          protected void runReport(Object source)

      Run the input report.
      Parameters:
        `source` -

    - #### updateSiteClarificationsTotals

          protected void updateSiteClarificationsTotals()

    - #### updateSiteRunTotals

          protected void updateSiteRunTotals()

    - #### showRunsGridFrame

          protected void showRunsGridFrame()

    - #### getRunsFrame

          public edu.csus.ecs.pc2.api.implementation.RunsFrame getRunsFrame()

    - #### usage

          public static void usage()

      Prints usage to stdout.

    - #### main

          public static void main(String[] args)